For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get SupportGet a demo
  • Get Started
    • Welcome
    • Quickstart
  • Webhooks
    • Introduction
    • Creating a Webhook
    • Available Webhooks
  • Public API Reference (Beta)
    • Applicants/Candidates
    • Contacts/Managers
    • Clients/Departments
  • Internal API Reference
    • Applicants/Candidates
        • DELDelete Requirement Attachment
        • GETFind Requirement Attachments
        • GETGet Requirement Attachment
        • POSTInsert Requirement Attachment
        • POSTUpdate Requirement Attachment
    • Clients/Departments
    • Contacts/Managers
LogoLogo
Get SupportGet a demo
Internal API ReferenceJobsAttachments

Insert Requirement Attachment

POST
https://app.brightmove.com/ATS/app/req/attachment/add
POST
/ATS/app/req/attachment/add
$curl -X POST "https://app.brightmove.com/ATS/app/req/attachment/add?guid=guid&description=description" \
> -H "Content-Type: application/json" \
> -d '{
> "attachment": "string"
>}'
200Successful
1{}
Add Requirement Attachment
Was this page helpful?
Previous

Update Requirement Attachment

Next
Built with

Headers

X-Brightmove-Company-ApiKeystringOptional
X-Brightmove-User-ApiKeystringOptional

Query parameters

guidstringRequired
descriptionstringRequired

Request

This endpoint expects an object.
attachmentstringRequiredformat: "binary"

Response

OK